import request from '@/utils/request'

// 查询光伏电价配置列表
export function listPvPriceConfig(query) {
  return request({
    url: '/ems/basecfg/elecPrice/pv/list',
    method: 'get',
    params: query
  })
}

// 查询光伏电价配置详细
export function getPvPriceConfig(id) {
  return request({
    url: '/ems/basecfg/elecPrice/pv/' + id,
    method: 'get'
  })
}

// 新增光伏电价配置
export function addPvPriceConfig(data) {
  return request({
    url: '/ems/basecfg/elecPrice/pv',
    method: 'post',
    data: data
  })
}

// 修改光伏电价配置
export function updatePvPriceConfig(data) {
  return request({
    url: '/ems/basecfg/elecPrice/pv',
    method: 'put',
    data: data
  })
}

// 删除光伏电价配置
export function delPvPriceConfig(id) {
  return request({
    url: '/ems/basecfg/elecPrice/pv/' + id,
    method: 'delete'
  })
}
